RPMSPEC(1)

BEZEICHNUNG
rpmspec - Werkzeug für RPM-Spec-Dateien

ÜBERSICHT
rpmspec {-q|--query} [Optionen] [Abfrageoptionen] SPEC-DATEI …

rpmspec {-P|--parse} [Optionen] SPEC-DATEI …

rpmspec --shell [Optionen] [SPEC-DATEI …]

BESCHREIBUNG
rpmspec ist ein Werkzeug zum Abfragen einer Spec-Datei. Genauer gesagt, zum Abfragen hypothetischer Pakete, die aus der angegebenen Spec-Datei erstellt werden würden. So ähnelt die Abfrage einer Spec-Datei mit rpmspec zwar einer Abfrage eines aus dieser Spec-Datei erstellten Pakets, aber sie ist nicht identisch. Mit rpmspec können Sie nicht alle Felder abfragen, die sie für ein erstelltes Paket abfragen können. Zum Beispiel können Sie aus naheliegenden Gründen BUILDTIME mit rpmspec nicht abfragen. Sie können auch weitere Felder nicht abfragen, die während der Erstellung eines Pakets automatisch generiert werden, beispielsweise automatisch erzeugte Abhängigkeiten.

AKTIONEN
-q, --query
    fragt die eingelesenen Spec-Kopfdaten ab, ähnlich wie beim Abfragen von Paketen.

-P, --parse
    schreibt eine eingelesene und ausgewertete Spec-Datei in die Standardausgabe. Das bedeutet, dass Bedingungen verarbeitet, Makros ausgewertet wurden usw.

--shell
    ruft eine interaktive Shell zur Überprüfung von Makros auf, optional nach dem Einlesen einer Spec-Datei. Hauptsächlich nützlich zur Fehlerbehebung.

ARGUMENTE
SPEC-DATEI
    RPM-SPEC-Datei zum Bau von Paketen mit rpmbuild(1).

OPTIONEN
Siehe rpm-common(8) für die Optionen, die allen Aktionen gemeinsam sind.

ABFRAGEOPTIONEN
--qf ABFRAGEFORMAT, --queryformat ABFRAGEFORMAT
    gibt das Ausgabeformat für Spec-Abfragen an. Siehe rpm-queryformat(7) für Details.

--rpms
    wertet die Kopfdaten aller Binärpakete aus, die aus der Spec-Datei erstellt werden.

--builtrpms
    wertet nur die Kopfdaten der Binärpakete aus, die aus der Spec-Datei erstellt werden würden. Das bedeutet, dass die Kopfdaten der Pakete ignoriert werden, die nicht aus dieser Spec-Datei erstellt werden, das heißt, die Kopfdaten der Pakete, die keinen %files-Abschnitt haben.

--srpm
    wertet die Kopfdaten des Quellpakets oder der Quellpakete aus, die aus der Spec-Datei erstellt werden.

UMGEBUNGSVARIABLEN
Siehe rpm-common(8).

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE
rpmspec -q rpm.spec
    Eine Liste der Binärpakete ausgeben, die aus der RPM-Spec-Datei erstellt werden würden, zum Beispiel:
        rpm-4.11.3-3.fc20.x86_64
        rpm-libs-4.11.3-3.fc20.x86_64
        rpm-build-libs-4.11.3-3.fc20.x86_64
        ...

rpmspec -q --qf "%{name}: %{summary}n" rpm.spec
    Zusammenfassende Informationen zu den einzelnen Binärpaketen ausgeben, die aus der RPM-Spec-Datei erstellt werden würden, zum Beispiel:
        rpm: The RPM package management system
        rpm-libs: Libraries for manipulating RPM packages
        rpm-build-libs: Libraries for building and signing RPM packages
        ...

rpmspec -q --srpm rpm.spec
    Das Quellpaket ausgeben, das aus der RPM-Spec-Datei erstellt werden würde, zum Beispiel:
        rpm-4.11.3-3.fc20.x86_64

rpmspec -P rpm.spec
    Die RPM-Spec-Datei auswerten und in die Standardausgabe schreiben, zum Beispiel:
        Summary: The RPM package management system
        Name: rpm
        Version: 4.14.0
        ...

rpmspec --shell
    Die interaktive Makro-Shell zur Fehlersuche in Makros starten, zum Beispiel:
        > %define foo bar
        > %foo
        bar
        > %(date)
        Tue Apr 13 03:55:37 PM EEST 2021
        > %getncpus
        8

rpmspec --shell popt.spec
    Die interaktive Makro-Shell im Spec-Kontext starten, zum Beispiel:
        %name
        popt
        %version
        1.18

SIEHE AUCH
popt(3), rpm(8), rpmbuild(1), rpm-queryformat(7), rpm-macros(7)

rpmspec --help - da RPM die Anpassung der Optionen mittels »popt«-Aliasen unterstützt, ist es unmöglich zu garantieren, dass alles, was im Handbuch beschrieben ist, mit dem übereinstimmt, was verfügbar ist.

http://www.rpm.org/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).